#ifndef SUBDIVISIONCATEGORYTREEWIDGETITEM_H
#define SUBDIVISIONCATEGORYTREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/SubdivisionCategory.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export SubdivisionCategoryTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::SubdivisionCategory& _category;

		public:
			explicit SubdivisionCategoryTreeWidgetItem( QTreeWidget* ptree, ISOData::SubdivisionCategory& category );
			explicit SubdivisionCategoryTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::SubdivisionCategory& category );

			ISOData::SubdivisionCategory& subdivisionCategory();

			void refresh();
	};
}

#endif // SUBDIVISIONCATEGORYTREEWIDGETITEM_H
