#ifndef SUBDIVISIONCOMBOBOX_H
#define SUBDIVISIONCOMBOBOX_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Subdivision.h>

#include <QComboBox>

namespace ISOUIComponents
{
	class ISOUIComponents_Export SubdivisionComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit SubdivisionComboBox(QWidget *parent = 0);

			void add( const ISOData::Subdivision& subdivision );
			void add( const ISOData::SubdivisionPtrMap& subdivisionS );
			void add( const ISOData::Country& country );

			void setCurrentItem( const ISOData::Subdivision& subdivision ) throw( ISOData::Exception );

			ISOData::Subdivision& currentItem() throw( ISOData::Exception );

		signals:

		public slots:

	};
}

#endif // SUBDIVISIONCOMBOBOX_H
