#ifndef SUBDIVISIONNAMETREEWIDGETITEM_H
#define SUBDIVISIONNAMETREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/SubdivisionName.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export SubdivisionNameTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::SubdivisionName& _name;

		public:
			explicit SubdivisionNameTreeWidgetItem( QTreeWidget* ptree, ISOData::SubdivisionName& name );
			explicit SubdivisionNameTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::SubdivisionName& name );

			ISOData::SubdivisionName& subdivisionName();

			void refresh();
	};
}

#endif // SUBDIVISIONNAMETREEWIDGETITEM_H
