#ifndef __ISOData_Base_h__
#define __ISOData_Base_h__

#include <ISOData/ISOData.h>

#include <string>

namespace ISOData
{
	class ISOData_Export Base
	{
		public:
			class ISOData_Export Key
			{
				public:
					Key();
					Key( const Key& key );
					virtual ~Key();

					Key& operator=( const Key& key );

					virtual std::string str() const = 0;
			};

		public:
			Base();
			Base( const Base& base );
			virtual ~Base();

			Base& operator=( const Base& base );
	};
}

#endif /* !__ISOData_Base_h__ */
