#ifndef __ISOImport_Record_h__
#define __ISOImport_Record_h__

#include <ISOImport/ISOImport.h>

#include <ISOImport/RecordFormat.h>

#include <Base4c/Util.h>

namespace ISOImport
{
	class ISOImport_Export Record
	{
		private:
			const RecordFormat* _pformat;
			Base4c::StringList _strS;

		public:
			Record( const RecordFormat::Ident& id, const std::string& strSource ) throw( ISOData::Exception );

			int fields() const;
			const std::string& field( const RecordFormat::Field::Ident& id ) const throw( ISOData::Exception );
	};
}

#endif /* !__ISOImport_Record_h__ */
