#ifndef COUNTRYCOMBOBOX_H
#define COUNTRYCOMBOBOX_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Country.h>

#include <QComboBox>

namespace ISOUIComponents
{
	class ISOUIComponents_Export CountryComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit CountryComboBox(QWidget *parent = 0);

			void add( const ISOData::Country& country );
			void add( const ISOData::CountryPtrMap& countryS );

			void setCurrentItem( const ISOData::Country& country ) throw( ISOData::Exception );

			ISOData::Country& currentItem() throw( ISOData::Exception );

		signals:

		public slots:

	};
}

#endif // COUNTRYCOMBOBOX_H
