#ifndef COUNTRYLANGUAGETREEWIDGETITEM_H
#define COUNTRYLANGUAGETREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/CountryLanguage.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export CountryLanguageTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::CountryLanguage& _countryLanguage;

		public:
			explicit CountryLanguageTreeWidgetItem( QTreeWidget* ptree, ISOData::CountryLanguage& countryLanguage );
			explicit CountryLanguageTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::CountryLanguage& countryLanguage );

			ISOData::CountryLanguage& countryLanguage();

			void refresh();
	};
}

#endif // COUNTRYLANGUAGETREEWIDGETITEM_H
