#ifndef COUNTRYNAMETREEWIDGETITEM_H
#define COUNTRYNAMETREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/CountryName.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export CountryNameTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::CountryName& _country;

		public:
			explicit CountryNameTreeWidgetItem( QTreeWidget* ptree, ISOData::CountryName& country );
			explicit CountryNameTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::CountryName& country );

			ISOData::CountryName& countryName();

			void refresh();
	};
}

#endif // COUNTRYNAMETREEWIDGETITEM_H
