#ifndef COUNTRYTREEWIDGETITEM_H
#define COUNTRYTREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Country.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export CountryTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::Country& _country;

		public:
			explicit CountryTreeWidgetItem( QTreeWidget* ptree, ISOData::Country& country );
			explicit CountryTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::Country& country );

			ISOData::Country& country();

			void refresh();
	};
}

#endif // COUNTRYTREEWIDGETITEM_H
