#ifndef __ISOUIComponents_ExceptionListWidgetItem_h__
#define __ISOUIComponents_ExceptionListWidgetItem_h__

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Exception.h>

#include <QListWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export ExceptionListWidgetItem : public QListWidgetItem
	{
		private:
			ISOData::Exception _e;

		public:
			ExceptionListWidgetItem( QListWidget* pparent, const ISOData::Exception& e );
			virtual ~ExceptionListWidgetItem();

			const ISOData::Exception& e() const;
	};
}

#endif /* !__ISOUIComponents_ExceptionListWidgetItem_h__ */
