#ifndef SUBDIVISIONCATEGORYNAMETREEWIDGETITEM_H
#define SUBDIVISIONCATEGORYNAMETREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/SubdivisionCategoryName.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export SubdivisionCategoryNameTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::SubdivisionCategoryName& _name;

		public:
			explicit SubdivisionCategoryNameTreeWidgetItem( QTreeWidget* ptree, ISOData::SubdivisionCategoryName& name );
			explicit SubdivisionCategoryNameTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::SubdivisionCategoryName& name );

			ISOData::SubdivisionCategoryName& subdivisionCategoryName();

			void refresh();
	};
}

#endif // SUBDIVISIONCATEGORYNAMETREEWIDGETITEM_H
