#ifndef SUBDIVISIONTREEWIDGETITEM_H
#define SUBDIVISIONTREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Subdivision.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export SubdivisionTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::Subdivision& _subdivision;

		public:
			SubdivisionTreeWidgetItem( QTreeWidget* ptree, ISOData::Subdivision& subdivision );
			SubdivisionTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::Subdivision& subdivision );

			ISOData::Subdivision& subdivision();

			void refresh();
	};
}

#endif // SUBDIVISIONTREEWIDGETITEM_H
