#ifndef TERRITORYNAMETREEWIDGETITEM_H
#define TERRITORYNAMETREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/TerritoryName.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export TerritoryNameTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::TerritoryName& _name;

		public:
			explicit TerritoryNameTreeWidgetItem( QTreeWidget* ptree, ISOData::TerritoryName& name );
			explicit TerritoryNameTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::TerritoryName& name );

			ISOData::TerritoryName& territoryName();

			void refresh();
	};
}

#endif // TERRITORYNAMETREEWIDGETITEM_H
