#ifndef TERRITORYTREEWIDGETITEM_H
#define TERRITORYTREEWIDGETITEM_H

#include <ISOUIComponents/isouicomponents_global.h>

#include <ISOData/Territory.h>

#include <QTreeWidgetItem>

namespace ISOUIComponents
{
	class ISOUIComponents_Export TerritoryTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			ISOData::Territory& _territory;

		public:
			explicit TerritoryTreeWidgetItem( QTreeWidget* ptree, ISOData::Territory& territory );
			explicit TerritoryTreeWidgetItem( QTreeWidgetItem* pitem, ISOData::Territory& territory );

			ISOData::Territory& territory();

			void refresh();
	};
}

#endif // TERRITORYTREEWIDGETITEM_H
